# Gestionale da Paura
A management software for GOLEM - Gruppo Operativo Linux Empoli.

## Components
* argento: president's interface to run on Sala-Corsi
* nicolodi: socio's interface to run on Limortouch

In next sections, «component» must be replaced by the proper name of the component.

## Configuration
Create `~/.config/it.linux.golem/component.conf` with following content:

    [database]
    hostname=vupiuesse.andromeda.golem.linux.it
    port=7004
    database=gestionale
    username=golem
    password=guess

## Build
Download the build container:
```
docker pull git.golem.linux.it/golem/gestionale-build
```

Or, if you prefer, you can also build it by yourself:
```
script/setup
```

Then, run all the commands in the build container, simply by preceding them with `docker`.
Example:
```
./docker ls
```

Every command you'll ever need to build this software should be scripted inside the `script/` directory.

Example: compile everything and produce executable.
```
./docker script/build
```
